<movie-details 
    [movieDetails]="movieDetails"
    [maxCrew]="detailsMaxCrew"
>
</movie-details>
<movie-cast 
    *ngIf="movieDetails.cast.length > 0" 
    [cast]="movieDetails.cast">
</movie-cast>
<movie-trailer 
    *ngIf="movieDetails.videos.length > 0" 
    [videos]="movieDetails.videos">
</movie-trailer>
<movie-recommendations 
    *ngIf="movieDetails.recommendations.length > 0"
    [cols]="recommendationCols"
    [recommendations]="movieDetails.recommendations"
    [maxResults]="recommendationMaxResults"
>
</movie-recommendations>
